Subject: Re: [PATCH] push: Use sideband channel for hook messages

From: Ilari Liusvaara <[email-masked]>
Date: Fri, 5 Feb 2010 14:07:58 +0200

On Thu, Feb 04, 2010 at 07:37:48PM -0800, Shawn O. Pearce wrote:
> Rather than sending hook messages over stderr, and losing them
> entirely on git:// and smart HTTP transports, receive-pack now
> puts them onto a multiplexed sideband channel if the send-pack
> client asks for the side-band-64k capablity.  This ensures that
> hooks from the server can report their detailed error messages,
> if any, no matter what git-aware transport is being used.
> 
> When the side band channel is being used the push client will wind up
> prefixing all server messages with "remote: ", just like fetch does.

I tested this a bit with git-remote-gits / git-daemon2. Seems to
work.

-Ilari